REST APIPolicyPolicy Builder

GET

Lists all touchpoints for a given scope.

Path Params

  • enterpriseId string required
    Your Enterprise Id.
  • scopeId string required
    The id of the scope.

Responses

200
Paginated list of available Touchpoints for a given scope

Response Body

object

A paginated list of Touchpoints
  • touchpoints array of objects
    touchpoints object
    • id string required
      Id of the Touchpoint. A UUID.
    • name string enum required
      Name of the Touchpoint.
      wallet.segregated.transferpolicies.management.edit
    • label string required
      A label for the Touchpoint which can be shown to an end user.
    • description string required
      A description for the Touchpoint which can be shown to an end user.
    • status string enum required

      Status of the Touchpoint. Indicates if the Touchpoint is usable ACTIVE or not INACTIVE.

      • ACTIVE - The Touchpoint is available for use.
      • INACTIVE - The Touchpoint is NOT available for use.
      ACTIVEINACTIVE
    • adminOnly boolean required
      true, if this is an internal Touchpoint, false otherwise.
  • page integer required
    Page number. Page numbers start at 1.
  • totalPages integer required
    Total number of pages. Total pages start at 1.
  • totalElements integer required
    Total number of elements across all pages.
401
Unauthorized

Response Body

object

  • code string
  • message string
  • status integer
403
Forbidden

Response Body

object

  • code string
  • message string
  • status integer
404
The specified resource was not found

Response Body

object

  • code string
  • message string
  • status integer
500
Server Error - Transient error please try again

Response Body

object

  • code string
  • message string
  • status integer